# Module: WpTheme::Versionable — Documentation by YARD 0.8.6.1

Class List Method List File List

# Module: WpTheme::Versionable

Included in:
  WpTheme
Defined in:
  lib/common/models/wp_theme/versionable.rb

## Instance Method Summary (collapse)

- - (Object) version

## Instance Method Details

### - (`Object`) version

    6
    7
    8
    9
    10
    11
    12
    13
    14

    # File 'lib/common/models/wp_theme/versionable.rb', line 6

    def version
      unless @version
        @version = Browser.get(style_url).body[%r{Version:\s([^\s]+)}i, 1]

        # Get Version from readme.txt
        @version ||= super
      end
      @version
    end